#include <Wire.h>

#define LED_PIN 25

void setup() {
   Serial.println("I am ready!");
   pinMode(LED_PIN, OUTPUT);
  Wire.begin(0x40);
  Wire.onReceive(receiveEvent);
  Serial.begin(9600);
 
}

void loop() {}

void receiveEvent(int numBytes) {
  while (Wire.available()) {
    int num = Wire.read();
    Serial.print("Received number: ");
    Serial.println(num);
    flashLED(num);
  }
}

void flashLED(int num) {
  for (int i = 0; i < num; i++) {
    digitalWrite(LED_PIN, HIGH);
    delay(500);
    digitalWrite(LED_PIN, LOW);
    delay(500);
  }
}
