import machine
import utime

led = machine.Pin(25, machine.Pin.OUT)

i2c = machine.I2C(1, scl=machine.Pin(7), sda=machine.Pin(6), freq=400000)
address = 25

# Define a buffer to store received data
buffer_size = 1
buffer = bytearray(buffer_size)

def on_receive(data):
    print("Received message: ", data)

while True:
    try:
        # Read data from the I2C device into the buffer
        i2c.readfrom_into(address, buffer)

        # Check if any data was received
        if buffer[0] != 0:
            on_receive(buffer)

    except OSError as e:
          x=5

    # Wait for 100 milliseconds before checking for new data again
